{% sw_extends '@Storefront/storefront/layout/breadcrumb.html.twig' %}

{% block layout_breadcrumb_list %}
    <ol class="breadcrumb"
        itemscope
        itemtype="https://schema.org/BreadcrumbList">
        <li class="breadcrumb-item"
            itemprop="itemListElement"
            itemscope
            itemtype="https://schema.org/ListItem">
            <a href="{{ path('frontend.home.page') }}"
                class="breadcrumb-link"
                title="{{ "header.home"|trans|striptags }}"
                itemprop="item">
                <link itemprop="url"
                        href="{{ path('frontend.home.page') }}"/>
                <span class="breadcrumb-title" itemprop="name">{{ "header.home"|trans|striptags }}</span>
            </a>
            <meta itemprop="position" content="0"/>
        </li>

        <div class="breadcrumb-placeholder">
            |
        </div>

        {% for breadcrumbCategory in breadcrumbCategories %}
            {% set key = breadcrumbCategory.id %}
            {% set name = breadcrumbCategory.translated.name %}

            {% block layout_breadcrumb_list_item %}
                <li class="breadcrumb-item"
                    {% if key is same as(categoryId) %}aria-current="page"{% endif %}
                    itemprop="itemListElement"
                    itemscope
                    itemtype="https://schema.org/ListItem">
                    {% if breadcrumbCategory.type == 'folder' %}
                        <div>{{ name }}</div>
                    {% else %}
                        <a href="{{ category_url(breadcrumbCategory) }}"
                            class="breadcrumb-link {% if key is same as(categoryId) and not (page.product) %} is-active{% endif %}"
                            title="{{ name }}"
                            {% if category_linknewtab(breadcrumbCategory) %}target="_blank"{% endif %}
                            itemprop="item">
                            <link itemprop="url"
                                    href="{{ category_url(breadcrumbCategory) }}"/>
                            <span class="breadcrumb-title" itemprop="name">{{ name }}</span>
                        </a>
                        <meta itemprop="position" content="{{ breadcrumbCategory.id }}"/>
                    {% endif %}
                </li>
            {% endblock %}

            {% block layout_breadcrumb_placeholder %}
                {% if key != breadcrumbKeys|last %}
                    <div class="breadcrumb-placeholder">
                        |
                    </div>
                {% endif %}
            {% endblock %}
        {% endfor %}

        {% if page.product %}
            <div class="breadcrumb-placeholder">
                |
            </div>

            <li class="breadcrumb-item"
                aria-current="page"
                itemprop="itemListElement"
                itemscope
                itemtype="https://schema.org/ListItem">
                <div class="breadcrumb-link is-active"
                    title="{{ page.product.translated.name }}"
                    itemprop="item">
                    <span class="breadcrumb-title" itemprop="name">{{ page.product.translated.name }}</span>
                </div>
            </li>
        {% endif %}
    </ol>
{% endblock %}
